Package org.apache.commons.math3.util

# Class IntegerSequence.Range

java.lang.Object
org.apache.commons.math3.util.IntegerSequence.Range

All Implemented Interfaces:
  `Iterable<Integer>`

Enclosing class:
  `IntegerSequence`

public static class IntegerSequence.Range extends Object implements Iterable<Integer>
Generates a sequence of integers.

## Constructor Summary

Constructors
Constructor
Description
`Range(int start, int max, int step)`
Creates a sequence \( a_i, i invalid input: '<' 0 invalid input: '<'= n \) where \( a_i = start + i * step \) and \( n \) is such that \( a_n invalid input: '<'= max \) and \( a_{n+1} > max \).

## Method Summary

Modifier and Type
Method
Description
`Iterator<Integer>`
`iterator()`
`int`
`size()`
Gets the number of elements contained in the range.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### Range

public Range(int start, int max, int step)
Creates a sequence \( a_i, i invalid input: '<' 0 invalid input: '<'= n \) where \( a_i = start + i * step \) and \( n \) is such that \( a_n invalid input: '<'= max \) and \( a_{n+1} > max \).

Parameters:
  `start` - First value of the range.
  `max` - Last value of the range that satisfies the above construction rule.
  `step` - Increment.

## Method Details

### size

public int size()
Gets the number of elements contained in the range.

Returns:
  the size of the range.

### iterator

public Iterator<Integer> iterator()

Specified by:
  `iterator` in interface `Iterable<Integer>`